Strange Ajax Error Since Upgrade


#1

Hi All

I’m getting the following very strange Ajax error and I’ve searched
Google, this group and various other places to no avail. So I’m
desperately hoping someone here can help.

Whenever I try to execute any Ajax call whether as a form request or a
link_to_remote link I get the following error:

------------------- FORM REQUEST -------------------
[2007-01-21 23:15:26] ERROR bad header ‘"{\n"’.
[2007-01-21 23:15:26] ERROR HTTPRequest#fixup:
WEBrick::HTTPStatus::LengthRequired occured.
127.0.0.1 - - [21/Jan/2007:23:15:26 GMT] “POST /picture/add_comment/13
HTTP/1.1” 400 301

  • -> /picture/add_comment/13

------------------- LINK_TO_REMOTE REQUEST -------------------
[2007-01-21 23:17:26] ERROR bad header ‘"{\n"’.
[2007-01-21 23:17:26] ERROR HTTPRequest#fixup:
WEBrick::HTTPStatus::LengthRequired occured.
127.0.0.1 - - [21/Jan/2007:23:17:26 GMT] “POST /picture/report/13
HTTP/1.1” 400 301

  • -> /picture/report/13

Hopefully someone would be able to help. If you need the code then let
me know and I’ll post it.

All the best.

Doug